Bug 314811 - Samba core dumps on startup
Samba core dumps on startup
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss_ldap (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 19:00 EDT by Bojan Smojver
Modified: 2010-06-29 20:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 20:00:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2007-10-01 19:00:30 EDT
Description of problem:
Samba dumps core on startup, possibly because some services (LDAP?) it required
weren't up yet.

Version-Release number of selected component (if applicable):
3.0.23c-2.el5.2.0.2

How reproducible:
Seen this only once, on reboot, after the kernel upgrade (2.6.18-8.1.14.el5).

Steps to Reproduce:
1. Reboot the system and wait for Samba to start.
  
Actual results:
Dumps core.

Expected results:
Should gracefully handle the error.

Additional info:
[2007/09/30 20:13:43, 0] smbd/server.c:main(847)
  smbd version 3.0.23c-2.el5.2.0.2 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2006
smbd: ../../../libraries/libldap/error.c:273: ldap_parse_result: Assertion `r !=
 ((void *)0)' failed.
[2007/09/30 20:13:46, 0] lib/fault.c:fault_report(41)
  ===============================================================
[2007/09/30 20:13:47, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 6 in pid 2725 (3.0.23c-2.el5.2.0.2)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2007/09/30 20:13:49, 0] lib/fault.c:fault_report(44)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2007/09/30 20:13:50, 0] lib/fault.c:fault_report(45)
  ===============================================================
[2007/09/30 20:13:52, 0] lib/util.c:smb_panic(1614)
  PANIC (pid 2725): internal error
[2007/09/30 20:13:53, 0] lib/util.c:log_stack_trace(1721)
  BACKTRACE: 25 stack frames:
   #0 smbd(log_stack_trace+0x2d) [0xc0678d]
   #1 smbd(smb_panic+0x5d) [0xc068bd]
   #2 smbd [0xbf1fba]
   #3 [0x110420]
   #4 [0x110402]
   #5 /lib/libc.so.6(gsignal+0x50) [0x30fc00]
   #6 /lib/libc.so.6(abort+0x101) [0x311451]
   #7 /lib/libc.so.6(__assert_fail+0xfb) [0x30924b]
   #8 /lib/libnss_ldap.so.2 [0x5a1d45a]
   #9 /lib/libnss_ldap.so.2 [0x5a1d4d2]
   #10 /lib/libnss_ldap.so.2 [0x5a0e6ec]
   #11 /lib/libnss_ldap.so.2 [0x5a0eda7]
   #12 /lib/libnss_ldap.so.2(_nss_ldap_search_s+0x17c) [0x5a0f48c]
   #13 /lib/libnss_ldap.so.2(_nss_ldap_initgroups_dyn+0x24e) [0x5a11e0e]
   #14 /lib/libc.so.6 [0x371cf4]
   #15 /lib/libc.so.6(getgrouplist+0x59) [0x371f89]
   #16 smbd [0xc24221]
   #17 smbd(getgroups_unix_user+0x4e) [0xc242ee]
   #18 smbd(pdb_default_enum_group_memberships+0x64) [0xbbbcc4]
   #19 smbd(pdb_enum_group_memberships+0x3f) [0xbbd01f]
   #20 smbd(make_server_info_sam+0xc7) [0xc4f3a7]
   #21 smbd(init_guest_info+0xc7) [0xc4ff57]
   #22 smbd(main+0x69b) [0xcb495b]
   #23 /lib/libc.so.6(__libc_start_main+0xdc) [0x2fcdec]
   #24 smbd [0xa24f21]
[2007/09/30 20:14:05, 0] lib/fault.c:dump_core(173)
  dumping core in /var/log/samba/cores/smbd
Comment 1 Simo Sorce 2007-10-02 08:40:41 EDT
From the stack trace this seem an nss_ldap bug.
Comment 2 Nalin Dahyabhai 2007-10-02 10:07:11 EDT
Which versions of glibc and nss_ldap are installed?  Are you seeing this
repeatably, or did it just happen the one time?
Comment 3 Bojan Smojver 2007-10-02 19:56:45 EDT
glibc-2.5-12
nss_ldap-253-3

It only happened once - last reboot for the new kernel. But, this box hasn't
been up all that long, so this may not be indicative.

BTW, this box points to itself for LDAP. It is running a replica of OpenLDAP
database from another box.
Comment 4 Dave 2009-03-16 16:21:36 EDT
This exact error still occurs using the following recent builds, but instead while running ps -ef | grep running_process_name. It intermittently occurs every 10 minutes and NSCD is killed.

- host1 – LINUX KERNEL v 2.6.18.53, NSS_LDAP Version 253-5
- host2 – LINUX KERNEL v 2.6.18.92, NSS_LDAP 253-17




============================

Signal 6 (ABRT) caught by ps (procps version 3.2.7).

Please send bug reports to <feedback@lists.sf.net> or <albert@users.sf.net>

ps: ../../../libraries/libldap/error.c:273: ldap_parse_result: Assertion `r != ((void *)0)' failed.
Comment 5 Nalin Dahyabhai 2010-05-04 18:48:49 EDT
Was the box configured with 'ssl start_tls'?  This is the same error as #499302, though the backtrace is missing some symbols so I can't be sure it's the same.
Comment 6 Bojan Smojver 2010-06-29 18:42:34 EDT
Unfortunately, I don't have access to this system any more, so I really cannot answer this question.
Comment 7 Dmitri Pal 2010-06-29 20:00:28 EDT
I think we will close this since it is unclear if there is still an issue or not.
If you come across this issue again please reopen the bug.
Comment 8 Bojan Smojver 2010-06-29 20:05:40 EDT
(In reply to comment #7)
> If you come across this issue again please reopen the bug.

Check.

Note You need to log in before you can comment on or make changes to this bug.